org.jboss.resteasy.core

## Class ServerResponse

- java.lang.Object
- - javax.ws.rs.core.Response
  - - org.jboss.resteasy.specimpl.BuiltResponse
    - - org.jboss.resteasy.core.ServerResponse

-     public class ServerResponse
      extends BuiltResponse

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.ws.rs.core.Response

      `Response.ResponseBuilder, Response.Status, Response.StatusType`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.specimpl.BuiltResponse

      `annotations, entity, entityClass, genericType, isClosed, metadata, processor, status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerResponse()`
    `ServerResponse(BuiltResponse response)`
    `ServerResponse(Object entity, int status, Headers<Object> metadata)`

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.specimpl.BuiltResponse

      `abortIfClosed, addMethodAnnotations, bufferEntity, close, getAllowedMethods, getAnnotations, getCookies, getDate, getEntity, getEntityClass, getEntityTag, getGenericType, getHeaderString, getHeaderValueProcessor, getLanguage, getLastModified, getLength, getLink, getLinkBuilder, getLinkHeaders, getLinks, getLocation, getMediaType, getMetadata, getStatus, getStatusInfo, getStringHeaders, hasEntity, hasLink, isClosed, readEntity, readEntity, readEntity, readEntity, readEntity, setAnnotations, setEntity, setEntityClass, setGenericType, setMetadata, setStatus, toHeaderString`

    - ### Methods inherited from class javax.ws.rs.core.Response

      `accepted, accepted, created, fromResponse, getHeaders, noContent, notAcceptable, notModified, notModified, notModified, ok, ok, ok, ok, ok, seeOther, serverError, status, status, status, temporaryRedirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerResponse

          public ServerResponse()

    - #### ServerResponse

          public ServerResponse(Object entity,
                        int status,
                        Headers<Object> metadata)

    - #### ServerResponse

          public ServerResponse(BuiltResponse response)

Copyright © 2014. All Rights Reserved.